/*
 * Copyright 2016 - 2023 Gary Talent (gary@drinkingtea.net). All rights reserved.
 */

#include <nostalgia/core/context.hpp>
#include <nostalgia/core/gfx.hpp>

#include <nostalgia/core/core.hpp>

#include "context.hpp"

namespace nostalgia::core {

ox::Result<ox::UniquePtr<Context>> init(turbine::Context *tctx, const InitParams &params) noexcept {
	ox::UPtr<Context> ctx = ox::make_unique<GlContext>();
	ctx->turbineCtx = tctx;
	oxReturnError(initGfx(ctx.get(), params));
	return ctx;
}

}