/*
 * Copyright 2016 - 2023 Gary Talent (gary@drinkingtea.net). All rights reserved.
 */

#pragma once

#include <studio/studio.hpp>

#include <nostalgia/core/gfx.hpp>
#include <nostalgia/scene/scene.hpp>

namespace nostalgia::scene {

class SceneEditor {

	private:
		turbine::Context *m_ctx = nullptr;
		ox::String m_itemName;
		ox::String m_itemPath;
		SceneStatic m_scene;

	public:
		SceneEditor(turbine::Context *ctx, ox::CRStringView path);

		const SceneStatic &scene() noexcept {
			return m_scene;
		}

	protected:
		ox::Error saveItem() noexcept;

};

}
